<?php
	include_once(__DIR__."/../../core.php");
	
	switch( $html->form('op', 'post') ){
		//Aggiunta nuovo conto nel partitario
		case "add":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$idpianodeiconti2 = save( $_POST['idpianodeiconti2'] );
				$numero = save( $_POST['numero'] );
				$descrizione = save( $_POST['descrizione'] );

				if( isset($_POST['idpianodeiconti2']) ){
					//Controllo che non sia stato usato un numero non valido del conto
					$query = "SELECT idpianodeiconti2, numero FROM co_pianodeiconti3 WHERE numero='$numero' AND idpianodeiconti2='$idpianodeiconti2'";
					$rs = $dbo->fetchArray($query);
					
					if( sizeof($rs)==0 ){
						$query = "INSERT INTO co_pianodeiconti3(numero, descrizione, idpianodeiconti2, dir, can_edit, can_delete) VALUES(\"$numero\", \"$descrizione\", \"$idpianodeiconti2\", (SELECT dir FROM co_pianodeiconti2 WHERE id='$idpianodeiconti2'), 1, 1)";
						
						if( $dbo->query($query) ){
							array_push( $_SESSION['infos'], "Nuovo conto aggiunto!" );
						}
					}
					
					else{
						array_push( $_SESSION['errors'], "Il numero scelto è già esistente!" );
					}
				}
			}
			break;
		
		//Modifica conto nel partitario
		case "edit":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$idconto = $html->form('idconto', 'post');
				$idpianodeiconti2 = $html->form('idpianodeiconti2', 'post');
				$numero = $html->form('numero', 'post');
				$descrizione = $html->form('descrizione', 'post');

				if( $idconto != '' ){
					//Controllo che non sia stato usato un numero non valido del conto
					$query = "SELECT idpianodeiconti2, numero FROM co_pianodeiconti3 WHERE numero='$numero' AND NOT id='$idconto' AND idpianodeiconti2='$idpianodeiconti2'";
					
					if( $dbo->fetchNum($query)==0 ){
						$query = "UPDATE co_pianodeiconti3 SET numero=\"$numero\", descrizione=\"$descrizione\" WHERE id='$idconto'";
						
						if( $dbo->query($query) ){
							array_push( $_SESSION['infos'], "Descrizione conto modificata!" );
						}
					}
					
					else{
						array_push( $_SESSION['errors'], "Il numero scelto è già esistente!" );
					}
				}
			}
			
			break;
		
		//Eliminazione conto dal partitario
		case "del":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$idconto = $html->form('idconto', 'post');

				if( $idconto != '' ){
					$query = "DELETE FROM co_pianodeiconti3 WHERE id='".$idconto."'";
					
					if( $dbo->query($query) ){
						array_push( $_SESSION['infos'], "Conto eliminato!" );
					}
				}
			}
			break;
	}
?>
